///////////////////////////////////////////////////////////////////////////////
// Project: defectix 
// Filename: common.hh
// Directory: src
///////////////////////////////////////////////////////////////////////////////
// Authors: A. BAILLARD
// Creation date: 16/03/04
// Last modification date: 16/03/04
///////////////////////////////////////////////////////////////////////////////
// Comments:
// 16/03/04	Create to contain global defines and list important includes
///////////////////////////////////////////////////////////////////////////////


#ifndef DEFECTIX_COMMON_HH_ 
# define DEFECTIX_COMMON_HH_ 

# define MESSAGE_START "\033[1;32mdefectix:\033[0;0m "
# define ERROR_START "\033[1;31mdefectix:\033[0;0m "
# define WARNING_START "\033[1;33mdefectix:\033[0;0m "

# include "deferror.hh"
# include "defoptions.hh"
# include "fitsmgr.hh"
# include "pca.hh"

#endif  /*! DEFECTIX_COMMON_HH_ */
