/******************************************************************************
** Project: neural_network
** Filename: file_management.h
*******************************************************************************
** Authors: A. BAILLARD & T. BAUDLOT
** Creation date: 14/07/03
** Last modification date: 14/07/03
*******************************************************************************
** Comments:
** 01/07/03	AB	prototypes
******************************************************************************/

#ifndef FILE_MANAGEMENT_H_
# define FILE_MANAGEMENT_H_

# include "network.h"

t_network *load_network_config(const char *file_name);

void save_network_config(t_network *network, const char *file_name);

# endif /* !FILE_MANAGEMENT_H_ */
