/******************************************************************************
** Project: neural_network
** Filename: prop.h
*******************************************************************************
** Authors: A. BAILLARD & T. BAUDLOT
** Creation date: 14/07/03
** Last modification date:
*******************************************************************************
** Comments:
** 14/07/03	AB	Prototypes
******************************************************************************/

#ifndef PROP_H_
# define PROP_H_

# define ENERGY_TRESHOLD	0.025

void	compute_gradients(t_network *network, double *expected_output);

# include "batch_back_prop.h"
# include "stoch_back_prop.h"
# include "rprop_vec.h"
# include "rprop.h"

#endif /* !PROP_H_ */
